{% macro menu_node(node) %}

        <li  class="uk-parent">
<p>
{{ node.name }}
            {%for method in node.children.by_class("FlaskMethod") %}
<span class="uk-badge">{{ method.name }}</span>
            {%endfor%}
</p>
        <ul class="uk-nav-sub" uk-nav>
            {%for submodule in node.children.by_class("FlaskNode") %}
                {{ menu_node(submodule) }}
            {%endfor%}
        </ul>



</li>
{% endmacro %}

{% macro menu(node,level=2) %}


<h{{ level }}>
{{ node.server_path }}
            {%for method in node.children.by_class("FlaskMethod") %}
<span class="uk-badge">{{ method.name }}</span>
            {%endfor%}
</h{{ level }}>

            {%for submodule in node.children.by_class("FlaskModule") %}
                {{ menu(submodule,level+1) }}
            {%endfor%}
        <ul class="uk-list uk-list-striped" uk-nav>
            {%for submodule in node.children.by_class("FlaskNode") %}
                {{ menu_node(submodule) }}
            {%endfor%}
        </ul>




{% endmacro %}

{%for app in node.root.children.by_class("FlaskServer") %}
<h1>{{ app.name }} - {{ app.ip }}:{{ app.port }}</h1>

        {%for module in app.children.by_class("FlaskModule") %}
            {{ menu(module) }}
        {%endfor%}


{%endfor%}

